Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class LauncherUtils

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.LauncherUtils

public class LauncherUtils
extends java.lang.Object

Various static utility functions used to launch browsers

Constructor Summary
`LauncherUtils()`

Method Summary
`protected static void` | `assertNotScriptFile(java.io.File f)`
`protected static java.io.File` | `createCustomProfileDir(java.lang.String sessionId)` creates an empty temp directory for managing a browser profile
`protected static void` | `deleteTryTryAgain(java.io.File dir, int tries)` Try several times to recursively delete a directory
`protected static java.io.File` | `extractHTAFile(java.io.File dir, int port, java.lang.String resourceFile, java.lang.String outFile)`
`protected static java.lang.String` | `getDefaultHTMLSuiteUrl(java.lang.String browserURL, java.lang.String suiteUrl)`
`protected static java.lang.String` | `getDefaultRemoteSessionUrl(java.lang.String startURL, java.lang.String sessionId)`
`protected static java.lang.String` | `getQueryString(java.lang.String url)`
`protected static java.io.File` | `makeProxyPAC(java.io.File parentDir, int port)` Generate a proxy.pac file, configuring a dynamic proxy for URLs containing "/selenium-server/"
`protected static void` | `recursivelyDeleteDir(java.io.File customProfileDir)` Delete a directory and all subdirectories
`static java.lang.String` | `stripStartURL(java.lang.String url)` Strips the specified URL so it only includes a protocal, hostname and port

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LauncherUtils

    public LauncherUtils()

Method Detail

### createCustomProfileDir

    protected static java.io.File createCustomProfileDir(java.lang.String sessionId)

  creates an empty temp directory for managing a browser profile

### recursivelyDeleteDir

    protected static void recursivelyDeleteDir(java.io.File customProfileDir)

  Delete a directory and all subdirectories

### deleteTryTryAgain

    protected static void deleteTryTryAgain(java.io.File dir,
                                            int tries)

  Try several times to recursively delete a directory

### makeProxyPAC

    protected static java.io.File makeProxyPAC(java.io.File parentDir,
                                               int port)
                                        throws java.io.FileNotFoundException

  Generate a proxy.pac file, configuring a dynamic proxy for URLs containing "/selenium-server/"

  Throws:
    `java.io.FileNotFoundException`

### stripStartURL

    public static java.lang.String stripStartURL(java.lang.String url)

  Strips the specified URL so it only includes a protocal, hostname and port

  Throws:
    `java.net.MalformedURLException`

### getQueryString

    protected static java.lang.String getQueryString(java.lang.String url)

### getDefaultHTMLSuiteUrl

    protected static java.lang.String getDefaultHTMLSuiteUrl(java.lang.String browserURL,
                                                             java.lang.String suiteUrl)

### getDefaultRemoteSessionUrl

    protected static java.lang.String getDefaultRemoteSessionUrl(java.lang.String startURL,
                                                                 java.lang.String sessionId)

### extractHTAFile

    protected static java.io.File extractHTAFile(java.io.File dir,
                                                 int port,
                                                 java.lang.String resourceFile,
                                                 java.lang.String outFile)

### assertNotScriptFile

    protected static void assertNotScriptFile(java.io.File f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.